Codevisor Docs
Api reference

PATCH Workspaces WorkspaceId Panes PaneId

PATCH/v1/workspaces/{workspaceId}/panes/{paneId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string
paneId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

providerId?string|null
paneType?string|null
title?string|null
resourceKind?string|null|null
resourceId?string|null|null
metadata?string|null|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/string/panes/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "workspaceId": "string",  "providerId": "string",  "paneType": "string",  "title": "string",  "resourceKind": "string",  "resourceId": "string",  "metadata": "string",  "revision": 0,  "createdAt": "string",  "updatedAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}